Loading...
Searching...
No Matches
AVDRMLayerDescriptor Struct Reference

DRM layer descriptor. More...

`#include <libavutil/hwcontext_drm.h>`

## Data Fields

uint32_t | format
| Format of the layer (DRM_FORMAT_*).
int | nb_planes
| Number of planes in the layer.
AVDRMPlaneDescriptor | planes [AV_DRM_MAX_PLANES]
| Array of planes in this layer.

## Detailed Description

DRM layer descriptor.

Describes a single layer within a frame. This has the structure defined by its format, and will contain one or more planes.

Definition at line 96 of file hwcontext_drm.h.

## Field Documentation

## format

uint32_t AVDRMLayerDescriptor::format

Format of the layer (DRM_FORMAT_*).

Definition at line 100 of file hwcontext_drm.h.

## nb_planes

int AVDRMLayerDescriptor::nb_planes

Number of planes in the layer.

This must match the number of planes required by format.

Definition at line 106 of file hwcontext_drm.h.

## planes

AVDRMPlaneDescriptor AVDRMLayerDescriptor::planes[AV_DRM_MAX_PLANES]

Array of planes in this layer.

Definition at line 110 of file hwcontext_drm.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_drm.h